<?xml version="1.0" encoding="utf-8"?>
<android.support.constraint.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    tools:context=".ui.login.BindPhoneActivity"
    android:background="@color/white"
    tools:ignore="ResourceName">

    <ImageView
        android:id="@+id/iv_back"
        android:layout_width="44dp"
        android:layout_height="44dp"
        android:layout_marginStart="@dimen/platform_dp_12"
        android:layout_marginTop="44dp"
        android:padding="@dimen/platform_dp_10"
        android:src="@drawable/user_ic_back_black"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <TextView
        android:id="@+id/tv_title"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="@dimen/platform_dp_40"
        android:layout_marginTop="@dimen/platform_dp_32"
        android:text="绑定手机号"
        android:textColor="@color/pay_color_242424"
        android:textSize="22sp"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintTop_toBottomOf="@id/iv_back" />

    <TextView
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:text="请输入您的常用手机号码"
        app:layout_constraintLeft_toLeftOf="@id/tv_title"
        app:layout_constraintTop_toBottomOf="@id/tv_title" />

    <TextView
        android:id="@+id/tv_country_code"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="70dp"
        android:drawableEnd="@drawable/user_triangle_down"
        android:drawablePadding="@dimen/platform_dp_4"
        android:text="+86"
        android:textColor="@color/pay_color_666666"
        android:textSize="17sp"
        app:layout_constraintStart_toStartOf="@id/tv_title"
        app:layout_constraintTop_toBottomOf="@id/tv_title" />

    <com.ydl.ydlcommon.view.PhoneEditText
        android:id="@+id/et_phone_number"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_gravity="center"
        android:layout_marginStart="@dimen/platform_dp_16"
        android:layout_weight="1"
        android:background="@null"
        android:gravity="center_vertical|left"
        android:hint="输入手机号"
        android:inputType="number"
        android:lines="1"
        android:maxLength="13"
        android:textColor="@color/platform_color_242424"
        android:textColorHint="@color/platform_color_BFBFBF"
        android:textCursorDrawable="@null"
        android:textSize="20sp"
        app:layout_constraintBottom_toBottomOf="@id/tv_country_code"
        app:layout_constraintEnd_toStartOf="@id/iv_del"
        app:layout_constraintStart_toEndOf="@id/tv_country_code"
        app:layout_constraintTop_toTopOf="@id/tv_country_code" />

    <View
        android:id="@+id/view_lin"
        android:layout_width="0dp"
        android:layout_height="1dp"
        android:layout_marginStart="@dimen/platform_dp_40"
        android:layout_marginTop="@dimen/platform_dp_10"
        android:layout_marginEnd="@dimen/platform_dp_40"
        android:background="@color/platform_color_EBEBEB"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/tv_country_code" />

    <ImageView
        android:id="@+id/iv_del"
        android:layout_width="23dp"
        android:layout_height="23dp"
        android:layout_gravity="center_vertical"
        android:paddingStart="@dimen/platform_dp_5"
        android:paddingTop="@dimen/platform_dp_5"
        android:paddingBottom="@dimen/platform_dp_5"
        android:src="@drawable/user_ic_del_new"
        android:visibility="gone"
        app:layout_constraintBottom_toBottomOf="@id/et_phone_number"
        app:layout_constraintEnd_toEndOf="@id/view_lin"
        app:layout_constraintTop_toTopOf="@id/et_phone_number" />

    <EditText
        android:id="@+id/et_code"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginTop="@dimen/platform_dp_36"
        android:layout_marginEnd="@dimen/platform_dp_16"
        android:background="@null"
        android:hint="输入验证码"
        android:inputType="number"
        android:textColor="@color/platform_color_242424"
        android:textColorHint="@color/platform_color_BFBFBF"
        android:textSize="20sp"
        app:layout_constraintEnd_toStartOf="@id/tv_get_code"
        app:layout_constraintStart_toStartOf="@id/tv_country_code"
        app:layout_constraintTop_toBottomOf="@id/view_lin" />

    <TextView
        android:id="@+id/tv_get_code"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="@dimen/platform_dp_40"
        android:alpha="0.6"
        android:text="获取验证码"
        android:textColor="@color/platform_color_1DA1F2"
        app:layout_constraintEnd_toEndOf="@id/view_lin"
        app:layout_constraintTop_toBottomOf="@id/view_lin" />

    <View
        android:id="@+id/v_line"
        android:layout_width="0dp"
        android:layout_height="1dp"
        android:layout_marginStart="@dimen/platform_dp_40"
        android:layout_marginTop="@dimen/platform_dp_10"
        android:layout_marginEnd="@dimen/platform_dp_40"
        android:background="@color/platform_color_EBEBEB"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/et_code" />

    <TextView
        android:id="@+id/tv_no_get_code"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="@dimen/platform_dp_15"
        android:text="收不到验证码？"
        android:textColor="@color/platform_color_666666"
        app:layout_constraintEnd_toEndOf="@id/v_line"
        app:layout_constraintTop_toBottomOf="@id/v_line" />

    <TextView
        android:id="@+id/tv_bind"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginStart="@dimen/platform_dp_38"
        android:layout_marginTop="@dimen/platform_dp_38"
        android:layout_marginEnd="@dimen/platform_dp_38"
        android:background="@drawable/login_password_unable_bg_24dp"
        android:gravity="center"
        android:paddingTop="@dimen/platform_dp_13"
        android:paddingBottom="@dimen/platform_dp_13"
        android:text="绑定"
        android:textColor="@color/white"
        android:textSize="17sp"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/tv_no_get_code" />

</android.support.constraint.ConstraintLayout>